# -*- coding: utf-8 -*-
import requests
import json
from tok import main

token = main()

url = "http://aip.baidubce.com/rest/2.0/speech/publiccloudspeech/v1/voice/detection"

payload = json.dumps({
  "access_token": token,                  #鉴权信息
  "speech_url": "XXXXX.mp3",              #音频链接，与speech_data二选一
  # "speech_data": "base64",              #音频文件base64编码，与speech_url 二选一
  "session_id": "test0220",               #自定义的任务id
  "pid": 80006,                           #识别模型，固定80006
  "role_num": 1,                          #说话人数，1 or 2
  "callback_url": "",                     #回调地址
  "enable_detection_detail": True,        #是否质检
  "enable_detection": True,               #是否返回质检详情
  "is_split_channel": False               #是否进行左右声道拆分
})
headers = {
  'Content-Type': 'application/json'
}

response = requests.request("POST", url, headers=headers, data=payload)

print(response.text)
