# -*- coding: utf-8 -*-
import requests
import json
from tok import main

token = main()

url = "http://aip.baidubce.com/rest/2.0/speech/publiccloudspeech/v1/voice/detection/rule"
headers = {
  'Content-Type': 'application/json'
}


# 查询规则
def rule_query():
  payload = json.dumps({
    "access_token": token,                 #鉴权信息
    "category": "硬件",                     #规则类别
    "page_no": 1,                          #分页规则-页数
    "page_size": 100                       #分页规则-每页条数
  })

  response = requests.request("GET", url, headers=headers, data=payload)

  print(response.text)
 #增加规则
def rule_add():
  payload = json.dumps({
    "access_token": token,                 #鉴权信息
    "category": "硬件",                     #规则类别
    "description": "硬件",                  #规则类别描述
    "contents": [                          #规则内容
      "键盘"
    ]
  })

  response = requests.request("POST", url, headers=headers, data=payload)

  print(response.text)
 #修改规则
def rule_modify():
  payload = json.dumps({
    "access_token": token,                 #鉴权信息
    "category": "硬件",                     #规则类别
    "description": "硬件",                  #规则类别描述
    "contents": [                          #规则内容
      "鼠标"
    ]
  })

  response = requests.request("PUT", url, headers=headers, data=payload)

  print(response.text)
 #删除规则
def rule_del():
  payload = json.dumps({
    "access_token": token,                 #鉴权信息
    "category": "硬件"                     #规则类别
  })

  response = requests.request("DELETE", url, headers=headers, data=payload)

  print(response.text)

if __name__ == '__main__':
  rule_add()
  # rule_query()
  # rule_modify()
  # rule_del()